View Issue Details

IDProjectCategoryView StatusLast Update
0006271MediaMonkey (current)Playerpublic2010-10-25 22:29
Reporterpeke 
PrioritynoneSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version3.2.1 
Target VersionFixed in Version4.0 
Summary0006271: Winamp: IPC_GETRATING Compatibility issue with some plugins
DescriptionSome plugins like CD Art Display http://www.cdartdisplay.com do not handle MediaMonkey rating correctly and can cause MediaMonkey to crash.

Note: Now IPC_GETRATING always return winamp rating between 0 (no rating) to 5 (5 stars).
Additional InformationReported in http://www.mediamonkey.com/forum/viewtopic.php?f=1&t=46746

TagsNo tags attached.
Fixed in build1302

Activities

peke

2010-02-18 04:03

developer   ~0020014

SVN updated

jiri

2010-02-18 07:55

administrator   ~0020015

As discussed over e-mail, the committed change doesn't make any difference.

peke

2010-02-18 12:54

developer   ~0020016

Reverted back to original return result

rusty

2010-02-19 16:13

administrator   ~0020019

Re-opening and assigning to Peke to figure out what the bug is.

peke

2010-02-20 00:56

developer   ~0020021

Last edited: 2010-02-20 00:59

Unfortunately I'm using CAD whole day and no matter what I do I can't get MM to Crash.

Althru I have found that Several standard Winamp Messages are not supported in MM even some of them can be supported and are used in CAD:
250: #define IPC_GET_SHUFFLE 250 ** IPC_GET_SHUFFLE returns the status of the shuffle option. If set then it will return 1 and if not set then it will return 0.

251: #define IPC_GET_REPEAT 251 ** IPC_GET_REPEAT returns the status of the repeat option. If set then it will return 1 and if not set then it will return 0.

252: #define IPC_SET_SHUFFLE 252 ** IPC_SET_SHUFFLE sets the status of the shuffle option. If 'value' is 1 then shuffle is turned on. If 'value' is 0 then shuffle is turned off.

253: #define IPC_SET_SHUFFLE 252 ** IPC_SET_SHUFFLE sets the status of the shuffle option. If 'value' is 1 then shuffle is turned on. If 'value' is 0 then shuffle is turned off.

peke

2010-02-20 00:59

developer   ~0020022

I've also contacted CAD developers to see if they can replicate the problem.

peke

2010-02-20 01:01

developer   ~0020023

Changes to Winamp compatibility issues will be included in 1302

peke

2010-02-27 00:24

developer   ~0020043

CAD issue didn't need as MediaMonkey was excluded from CAD support due the some user reports about issue and now in His v3.0 Beta all is working flawlessly.

Added additional winamp compatibility for MSGs 250-253 has been tested and working OK.

peke

2010-10-25 22:29

developer   ~0020982

Verified 1318 and CD Art 3 build 1472.